Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# QUuid Class Reference

The QUuid class defines a Universally Unique Identifier (UUID). More...

`#include <qtopia/quuid.h>`

List of all member functions.

## Public Members

- QUuid ()
- QUuid ( uint l, ushort w1, ushort w2, uchar b1, uchar b2, uchar b3, uchar b4, uchar b5, uchar b6, uchar b7, uchar b8 )
- QUuid ( const QUuid & orig )
- QUuid ( const QString & text )
- QString toString () const
- bool isNull () const
- QUuid & operator= ( const QUuid & uuid )
- bool operator== ( const QUuid & other ) const
- bool operator!= ( const QUuid & other ) const
- bool operator< ( const QUuid & other ) const
- bool operator> ( const QUuid & other ) const

## Detailed Description

The QUuid class defines a Universally Unique Identifier (UUID).

This class is temporarily copied from Qt 3.0.

See also Qtopia Classes.

## Member Function Documentation

### QUuid::QUuid ()

Creates the null UUID {00000000-0000-0000-0000-000000000000}.

### QUuid::QUuid ( uint l, ushort w1, ushort w2, uchar b1, uchar b2, uchar b3, uchar b4, uchar b5, uchar b6, uchar b7, uchar b8 )

Creates an UUID with the value specified by the parameters, l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8.

Example:

      // {67C8770B-44F1-410A-AB9A-F9B5446F13EE}
      QUuid IID_MyInterface( 0x67c8770b, 0x44f1, 0x410a, 0xab, 0x9a, 0xf9, 0xb5, 0x44, 0x6f, 0x13, 0xee )

### QUuid::QUuid ( const QUuid & orig )

Creates a copy of the QUuid orig.

### QUuid::QUuid ( const QString & text )

Creates a QUuid object from the string text. Right now, the function can only convert the format {12345678-1234-1234-1234-123456789ABC} and will create the null UUID when the conversion fails.

### bool QUuid::isNull () const

Returns TRUE if this is the null UUID {00000000-0000-0000-0000-000000000000}, otherwise returns FALSE.

### bool QUuid::operator!= ( const QUuid & other ) const

Returns TRUE if this QUuid and the other QUuid are different, otherwise returns FALSE.

### bool QUuid::operator< ( const QUuid & other ) const

Returns TRUE if the QUuid is smaller than other.

First availability: Qtopia 1.6

### QUuid & QUuid::operator= ( const QUuid & uuid )

Assigns the value of uuid to this QUuid object.

### bool QUuid::operator== ( const QUuid & other ) const

Returns TRUE if this QUuid and the other QUuid are identical, otherwise returns FALSE.

### bool QUuid::operator> ( const QUuid & other ) const

Returns TRUE if the QUuid is larger than other.

First availability: Qtopia 1.6

### QString QUuid::toString () const

QString QUuid::toString() const

Returns a string in {12345678-1234-1234-1234-123456789ABC} format.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.